package com.vetti.hotake.domain.dto;

import cn.hutool.core.bean.BeanUtil;
import com.vetti.hotake.domain.HotakeCandidateCompliance;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ID
 * @date 2026/1/15 11:03
 */
@Data
public class CandidateComplianceDto extends HotakeCandidateCompliance {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("附件URL")
    private String fileUrl;

    public static CandidateComplianceDto build(HotakeCandidateCompliance data, String fileUrl) {
        CandidateComplianceDto dto = new CandidateComplianceDto();
        BeanUtil.copyProperties(data, dto);
        dto.setFileUrl(fileUrl);
        return dto;
    }

}
